---
title: PaymentDetailsUpdate.shippingAddressErrors
slug: Web/API/PaymentDetailsUpdate/shippingAddressErrors
tags:
  - API
  - Address
  - Errors
  - Payment Request
  - Payment Request API
  - PaymentDetailsUpdate
  - Property
  - Reference
  - Shipping
  - Validation
  - payment
  - shippingAddressErrors
---
<div>{{APIRef("Payment Request API")}}{{securecontext_header}}</div>

<p><span class="seoSummary">The {{domxref("PaymentDetailsUpdate")}} dictionary's <code><strong>shippingAddressErrors</strong></code> property, if present,  contains an {{domxref("AddressErrors")}} object whose contents provide error messages for one or more of the values in the {{domxref("PaymentAddress")}} specified as {{domxref("PaymentRequest.shippingAddress")}}.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>addressErrors</em> = <em>PaymentDetailsUpdate</em>.shippingAddressErrors;</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("AddressErrors")}} object, which contains {{domxref("DOMString")}}s describing errors in the properties of a {{domxref("PaymentAddress")}}. For each property in <code>PaymentAddress</code>, a property by the same name is found in <code>shippingAddressErrors</code> if and only if a validation error occurred for that property. In that case, the property in <code>shippingAddressErrors</code> is a string describing the validation error, ideally including suggestions about fixing the error.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#dom-paymentdetailsupdate-shippingaddresserrors','PaymentDetailsUpdate.shippingAddressErrors')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PaymentDetailsUpdate.shippingAddressErrors")}}</p>
</div>
